webpack:
  alias:
    static:
      '@lisa': vendor/visualmedia/lisa_bundle/src/VisualMedia/LisaBundle/Resources/assets
      '@app': src/App/Resources/assets

    dynamic:
      search:
        - vendor/[Vv]isual[Mm]edia/**/Resources/assets/
        - src/[Vv]isual[Mm]edia/**/Resources/assets/

      match:
        - '^(?:src|vendor)/visualmedia/(.*?_bundle)/.*/Resources'

      prefix: '$'

  entries:
    backend:
      - 'jquery/dist/jquery.js'
      - 'bootstrap/dist/js/bootstrap.js'
      - '@lisa/js/backend/Lisa.js'

      - 'bootstrap/dist/css/bootstrap.css'
      - '@lisa/scss/backend/base.scss'

      - '@visualmedia/tagged-input'

      - copy: 'vendor/visualmedia/lisa_bundle/**/assets/images/**/*'
        ignore: []
        namespace: lisa

  config:
    output: public/assets/
    public: /assets/

    features:
      sass: true
      babel: true
      post-css: true
      uglify: true

    env:
      ENVIRONMENT: '$NODE_ENV'

    banner: |-
      Copyright (C) [year] Visualmedia - All Rights Reserved

      File:   [file]
      Date:   [date]

    autoprovides:
      jquery:
        - $
        - jQuery
        - window.jQuery
